Package net.shibboleth.idp.authn.principal.impl

# Class ExactPrincipalEvalPredicateFactory

java.lang.Object
net.shibboleth.idp.authn.principal.impl.ExactPrincipalEvalPredicateFactory

All Implemented Interfaces:
  `PrincipalEvalPredicateFactory`

public class ExactPrincipalEvalPredicateFactory extends Object implements PrincipalEvalPredicateFactory
`PrincipalEvalPredicateFactory` that implements exact matching of principals, and works for any type.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private class`
`ExactPrincipalEvalPredicateFactory.ExactMatchPredicate`
Implementation of an exact-matching predicate.

## Constructor Summary

Constructors
Constructor
Description
`ExactPrincipalEvalPredicateFactory()`

## Method Summary

Modifier and Type
Method
Description
`PrincipalEvalPredicate`
`getPredicate(Principal candidate)`
Get a predicate to compare a candidate `Principal` object against a `PrincipalSupportingComponent` for a "match", where the definition of a match is implementation-specific.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExactPrincipalEvalPredicateFactory

public ExactPrincipalEvalPredicateFactory()

## Method Details

### getPredicate

@Nonnull public PrincipalEvalPredicate getPredicate(@Nonnull Principal candidate)
Get a predicate to compare a candidate `Principal` object against a `PrincipalSupportingComponent` for a "match", where the definition of a match is implementation-specific.

Specified by:
  `getPredicate` in interface `PrincipalEvalPredicateFactory`
Parameters:
  `candidate` - a `Principal` object to evaluate
Returns:
  a `PrincipalEvalPredicate` implementing custom matching rules